<?php


return  
    [
        'model' => [
            'model' => \Bixo\Map\Models\Building::class,
            'table' => 'bixo_map_buildings',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['property_id',  'area_id',  'zone_id',  'area_name_ar',  'area_name_en',  'land_number',  'land_sub_number',  'building_number',  'common_area',  'actual_common_area',  'floors',  'rooms',  'rooms_ar',  'rooms_en',  'car_parks',  'built_up_area',  'bld_levels',  'shops',  'flats',  'offices',  'swimming',  'elevators',  'actual_area',  'property_type_id',  'property_type_ar',  'property_type_en',  'property_sub_type_id',  'property_sub_type_ar',  'property_sub_type_en',  'parent_property_id',  'creation_date',  'parcel_id',  'is_free_hold',  'is_lease_hold',  'is_registered',  'pre_registration_number',  'master_project_id',  'master_project_en',  'master_project_ar',  'project_id',  'project_name_ar',  'project_name_en',  'land_type_id',  'land_type_ar',  'land_type_en'],
            'translatables' => [],
            'upload_folder' => 'map/building',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "property_id", 
                "type" => "text", 
                "label" => 'map::building.label.property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_id", 
                "type" => "text", 
                "label" => 'map::building.label.area_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "zone_id", 
                "type" => "text", 
                "label" => 'map::building.label.zone_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_name_ar", 
                "type" => "text", 
                "label" => 'map::building.label.area_name_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_name_en", 
                "type" => "text", 
                "label" => 'map::building.label.area_name_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "land_number", 
                "type" => "text", 
                "label" => 'map::building.label.land_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "land_sub_number", 
                "type" => "text", 
                "label" => 'map::building.label.land_sub_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building_number", 
                "type" => "text", 
                "label" => 'map::building.label.building_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "common_area", 
                "type" => "text", 
                "label" => 'map::building.label.common_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "actual_common_area", 
                "type" => "text", 
                "label" => 'map::building.label.actual_common_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "floors", 
                "type" => "text", 
                "label" => 'map::building.label.floors', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rooms", 
                "type" => "text", 
                "label" => 'map::building.label.rooms', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rooms_ar", 
                "type" => "text", 
                "label" => 'map::building.label.rooms_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rooms_en", 
                "type" => "text", 
                "label" => 'map::building.label.rooms_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_parks", 
                "type" => "text", 
                "label" => 'map::building.label.car_parks', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "built_up_area", 
                "type" => "text", 
                "label" => 'map::building.label.built_up_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bld_levels", 
                "type" => "text", 
                "label" => 'map::building.label.bld_levels', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "shops", 
                "type" => "text", 
                "label" => 'map::building.label.shops', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "flats", 
                "type" => "text", 
                "label" => 'map::building.label.flats', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "offices", 
                "type" => "text", 
                "label" => 'map::building.label.offices', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "swimming", 
                "type" => "text", 
                "label" => 'map::building.label.swimming', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "elevators", 
                "type" => "text", 
                "label" => 'map::building.label.elevators', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "actual_area", 
                "type" => "text", 
                "label" => 'map::building.label.actual_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type_id", 
                "type" => "text", 
                "label" => 'map::building.label.property_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type_ar", 
                "type" => "text", 
                "label" => 'map::building.label.property_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type_en", 
                "type" => "text", 
                "label" => 'map::building.label.property_type_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_sub_type_id", 
                "type" => "text", 
                "label" => 'map::building.label.property_sub_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_sub_type_ar", 
                "type" => "text", 
                "label" => 'map::building.label.property_sub_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_sub_type_en", 
                "type" => "text", 
                "label" => 'map::building.label.property_sub_type_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parent_property_id", 
                "type" => "text", 
                "label" => 'map::building.label.parent_property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "creation_date", 
                "type" => "text", 
                "label" => 'map::building.label.creation_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parcel_id", 
                "type" => "text", 
                "label" => 'map::building.label.parcel_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "is_free_hold", 
                "type" => "text", 
                "label" => 'map::building.label.is_free_hold', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "is_lease_hold", 
                "type" => "text", 
                "label" => 'map::building.label.is_lease_hold', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "is_registered", 
                "type" => "text", 
                "label" => 'map::building.label.is_registered', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "pre_registration_number", 
                "type" => "text", 
                "label" => 'map::building.label.pre_registration_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_project_id", 
                "type" => "text", 
                "label" => 'map::building.label.master_project_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_project_en", 
                "type" => "text", 
                "label" => 'map::building.label.master_project_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_project_ar", 
                "type" => "text", 
                "label" => 'map::building.label.master_project_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_id", 
                "type" => "text", 
                "label" => 'map::building.label.project_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name_ar", 
                "type" => "text", 
                "label" => 'map::building.label.project_name_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name_en", 
                "type" => "text", 
                "label" => 'map::building.label.project_name_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "land_type_id", 
                "type" => "text", 
                "label" => 'map::building.label.land_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "land_type_ar", 
                "type" => "text", 
                "label" => 'map::building.label.land_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "land_type_en", 
                "type" => "text", 
                "label" => 'map::building.label.land_type_en', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.property_id',
                "placeholder" => 'map::building.placeholder.property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.area_id',
                "placeholder" => 'map::building.placeholder.area_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'zone_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.zone_id',
                "placeholder" => 'map::building.placeholder.zone_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_name_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.area_name_ar',
                "placeholder" => 'map::building.placeholder.area_name_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_name_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.area_name_en',
                "placeholder" => 'map::building.placeholder.area_name_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'land_number',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.land_number',
                "placeholder" => 'map::building.placeholder.land_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'land_sub_number',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.land_sub_number',
                "placeholder" => 'map::building.placeholder.land_sub_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building_number',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.building_number',
                "placeholder" => 'map::building.placeholder.building_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'common_area',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.common_area',
                "placeholder" => 'map::building.placeholder.common_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'actual_common_area',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.actual_common_area',
                "placeholder" => 'map::building.placeholder.actual_common_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'floors',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.floors',
                "placeholder" => 'map::building.placeholder.floors',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rooms',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.rooms',
                "placeholder" => 'map::building.placeholder.rooms',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rooms_ar',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.rooms_ar',
                "placeholder" => 'map::building.placeholder.rooms_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rooms_en',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.rooms_en',
                "placeholder" => 'map::building.placeholder.rooms_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_parks',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.car_parks',
                "placeholder" => 'map::building.placeholder.car_parks',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'built_up_area',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.built_up_area',
                "placeholder" => 'map::building.placeholder.built_up_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bld_levels',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.bld_levels',
                "placeholder" => 'map::building.placeholder.bld_levels',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'shops',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.shops',
                "placeholder" => 'map::building.placeholder.shops',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'flats',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.flats',
                "placeholder" => 'map::building.placeholder.flats',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'offices',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.offices',
                "placeholder" => 'map::building.placeholder.offices',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'swimming',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.swimming',
                "placeholder" => 'map::building.placeholder.swimming',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'elevators',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.elevators',
                "placeholder" => 'map::building.placeholder.elevators',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'actual_area',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.actual_area',
                "placeholder" => 'map::building.placeholder.actual_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.property_type_id',
                "placeholder" => 'map::building.placeholder.property_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.property_type_ar',
                "placeholder" => 'map::building.placeholder.property_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.property_type_en',
                "placeholder" => 'map::building.placeholder.property_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_sub_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.property_sub_type_id',
                "placeholder" => 'map::building.placeholder.property_sub_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_sub_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.property_sub_type_ar',
                "placeholder" => 'map::building.placeholder.property_sub_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_sub_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.property_sub_type_en',
                "placeholder" => 'map::building.placeholder.property_sub_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parent_property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.parent_property_id',
                "placeholder" => 'map::building.placeholder.parent_property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'creation_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'map::building.label.creation_date',
                "placeholder" => 'map::building.placeholder.creation_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parcel_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.parcel_id',
                "placeholder" => 'map::building.placeholder.parcel_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'is_free_hold',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.is_free_hold',
                "placeholder" => 'map::building.placeholder.is_free_hold',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'is_lease_hold',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.is_lease_hold',
                "placeholder" => 'map::building.placeholder.is_lease_hold',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'is_registered',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.is_registered',
                "placeholder" => 'map::building.placeholder.is_registered',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'pre_registration_number',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.pre_registration_number',
                "placeholder" => 'map::building.placeholder.pre_registration_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_project_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.master_project_id',
                "placeholder" => 'map::building.placeholder.master_project_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_project_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.master_project_en',
                "placeholder" => 'map::building.placeholder.master_project_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_project_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.master_project_ar',
                "placeholder" => 'map::building.placeholder.master_project_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.project_id',
                "placeholder" => 'map::building.placeholder.project_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.project_name_ar',
                "placeholder" => 'map::building.placeholder.project_name_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.project_name_en',
                "placeholder" => 'map::building.placeholder.project_name_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'land_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::building.label.land_type_id',
                "placeholder" => 'map::building.placeholder.land_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'land_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.land_type_ar',
                "placeholder" => 'map::building.placeholder.land_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'land_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::building.label.land_type_en',
                "placeholder" => 'map::building.placeholder.land_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'map/building/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'map/building/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'map/building',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'map/building',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'map/building',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'map/building',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'map::building.label.created_at',
            'name' => 'map::building.label.name',
            'status' => 'map::building.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "map::building.groups.main",
                'group' => "main.main",
                'title' => "map::building.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "map::building.groups.details",
                'group' => "main.details",
                'title' => "map::building.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "map::building.groups.images",
                'group' => "main.images",
                'title' => "map::building.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "map::building.groups.settings",
                'group' => "main.settings",
                'title' => "map::building.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Map',
            'module' => 'Building',
        ],

        
        
    ];
