<?php


return  
    [
        'model' => [
            'model' => \Bixo\Map\Models\Developer::class,
            'table' => 'bixo_map_developers',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['participant_id',  'developer_id',  'developer_number',  'developer_name_ar',  'developer_name_en',  'registration_date',  'license_source_id',  'license_source_ar',  'license_source_en',  'license_type_id',  'license_type_ar',  'license_type_en',  'legal_status',  'legal_status_ar',  'legal_status_en',  'webpage',  'phone',  'fax',  'license_number',  'license_issue_date',  'license_expiry_date',  'chamber_of_commerce_no'],
            'translatables' => [],
            'upload_folder' => 'map/developer',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "participant_id", 
                "type" => "text", 
                "label" => 'map::developer.label.participant_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_id", 
                "type" => "text", 
                "label" => 'map::developer.label.developer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_number", 
                "type" => "text", 
                "label" => 'map::developer.label.developer_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_name_ar", 
                "type" => "text", 
                "label" => 'map::developer.label.developer_name_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_name_en", 
                "type" => "text", 
                "label" => 'map::developer.label.developer_name_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "registration_date", 
                "type" => "text", 
                "label" => 'map::developer.label.registration_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "license_source_id", 
                "type" => "text", 
                "label" => 'map::developer.label.license_source_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "license_source_ar", 
                "type" => "text", 
                "label" => 'map::developer.label.license_source_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "license_source_en", 
                "type" => "text", 
                "label" => 'map::developer.label.license_source_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "license_type_id", 
                "type" => "text", 
                "label" => 'map::developer.label.license_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "license_type_ar", 
                "type" => "text", 
                "label" => 'map::developer.label.license_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "license_type_en", 
                "type" => "text", 
                "label" => 'map::developer.label.license_type_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "legal_status", 
                "type" => "text", 
                "label" => 'map::developer.label.legal_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "legal_status_ar", 
                "type" => "text", 
                "label" => 'map::developer.label.legal_status_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "legal_status_en", 
                "type" => "text", 
                "label" => 'map::developer.label.legal_status_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "webpage", 
                "type" => "text", 
                "label" => 'map::developer.label.webpage', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "phone", 
                "type" => "text", 
                "label" => 'map::developer.label.phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fax", 
                "type" => "text", 
                "label" => 'map::developer.label.fax', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "license_number", 
                "type" => "text", 
                "label" => 'map::developer.label.license_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "license_issue_date", 
                "type" => "text", 
                "label" => 'map::developer.label.license_issue_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "license_expiry_date", 
                "type" => "text", 
                "label" => 'map::developer.label.license_expiry_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "chamber_of_commerce_no", 
                "type" => "text", 
                "label" => 'map::developer.label.chamber_of_commerce_no', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'participant_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::developer.label.participant_id',
                "placeholder" => 'map::developer.placeholder.participant_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::developer.label.developer_id',
                "placeholder" => 'map::developer.placeholder.developer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_number',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::developer.label.developer_number',
                "placeholder" => 'map::developer.placeholder.developer_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_name_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.developer_name_ar',
                "placeholder" => 'map::developer.placeholder.developer_name_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_name_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.developer_name_en',
                "placeholder" => 'map::developer.placeholder.developer_name_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'registration_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'map::developer.label.registration_date',
                "placeholder" => 'map::developer.placeholder.registration_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'license_source_id',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.license_source_id',
                "placeholder" => 'map::developer.placeholder.license_source_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'license_source_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.license_source_ar',
                "placeholder" => 'map::developer.placeholder.license_source_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'license_source_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.license_source_en',
                "placeholder" => 'map::developer.placeholder.license_source_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'license_type_id',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.license_type_id',
                "placeholder" => 'map::developer.placeholder.license_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'license_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.license_type_ar',
                "placeholder" => 'map::developer.placeholder.license_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'license_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.license_type_en',
                "placeholder" => 'map::developer.placeholder.license_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'legal_status',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::developer.label.legal_status',
                "placeholder" => 'map::developer.placeholder.legal_status',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'legal_status_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.legal_status_ar',
                "placeholder" => 'map::developer.placeholder.legal_status_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'legal_status_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.legal_status_en',
                "placeholder" => 'map::developer.placeholder.legal_status_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'webpage',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.webpage',
                "placeholder" => 'map::developer.placeholder.webpage',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.phone',
                "placeholder" => 'map::developer.placeholder.phone',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fax',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.fax',
                "placeholder" => 'map::developer.placeholder.fax',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'license_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.license_number',
                "placeholder" => 'map::developer.placeholder.license_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'license_issue_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'map::developer.label.license_issue_date',
                "placeholder" => 'map::developer.placeholder.license_issue_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'license_expiry_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'map::developer.label.license_expiry_date',
                "placeholder" => 'map::developer.placeholder.license_expiry_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'chamber_of_commerce_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::developer.label.chamber_of_commerce_no',
                "placeholder" => 'map::developer.placeholder.chamber_of_commerce_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'map/developer/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'map/developer/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'map/developer',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'map/developer',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'map/developer',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'map/developer',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'map::developer.label.created_at',
            'name' => 'map::developer.label.name',
            'status' => 'map::developer.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "map::developer.groups.main",
                'group' => "main.main",
                'title' => "map::developer.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "map::developer.groups.details",
                'group' => "main.details",
                'title' => "map::developer.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "map::developer.groups.images",
                'group' => "main.images",
                'title' => "map::developer.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "map::developer.groups.settings",
                'group' => "main.settings",
                'title' => "map::developer.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Map',
            'module' => 'Developer',
        ],

        
        
    ];
