<?php


return  
    [
        'model' => [
            'model' => \Bixo\Map\Models\Project::class,
            'table' => 'bixo_map_projects',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['project_id',  'project_number',  'project_name',  'developer_id',  'developer_number',  'developer_name',  'master_developer_id',  'master_developer_number',  'master_developer_name',  'project_start_date',  'project_end_date',  'project_type_id',  'project_type_ar',  'project_classification_id',  'project_classification_ar',  'escrow_agent_id',  'escrow_agent_name',  'project_status',  'project_status_ar',  'percent_completed',  'completion_date',  'cancellation_date',  'project_description_ar',  'project_description_en',  'property_id',  'area_id',  'area_name_ar',  'area_name_en',  'master_project_ar',  'master_project_en',  'zoning_authority_id',  'zoning_authority_ar',  'zoning_authority_en',  'no_of_lands',  'no_of_buildings',  'no_of_villas',  'no_of_units'],
            'translatables' => [],
            'upload_folder' => 'map/project',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "project_id", 
                "type" => "text", 
                "label" => 'map::project.label.project_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_number", 
                "type" => "text", 
                "label" => 'map::project.label.project_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name", 
                "type" => "text", 
                "label" => 'map::project.label.project_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_id", 
                "type" => "text", 
                "label" => 'map::project.label.developer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_number", 
                "type" => "text", 
                "label" => 'map::project.label.developer_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_name", 
                "type" => "text", 
                "label" => 'map::project.label.developer_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_developer_id", 
                "type" => "text", 
                "label" => 'map::project.label.master_developer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_developer_number", 
                "type" => "text", 
                "label" => 'map::project.label.master_developer_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_developer_name", 
                "type" => "text", 
                "label" => 'map::project.label.master_developer_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_start_date", 
                "type" => "text", 
                "label" => 'map::project.label.project_start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_end_date", 
                "type" => "text", 
                "label" => 'map::project.label.project_end_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_type_id", 
                "type" => "text", 
                "label" => 'map::project.label.project_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_type_ar", 
                "type" => "text", 
                "label" => 'map::project.label.project_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_classification_id", 
                "type" => "text", 
                "label" => 'map::project.label.project_classification_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_classification_ar", 
                "type" => "text", 
                "label" => 'map::project.label.project_classification_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "escrow_agent_id", 
                "type" => "text", 
                "label" => 'map::project.label.escrow_agent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "escrow_agent_name", 
                "type" => "text", 
                "label" => 'map::project.label.escrow_agent_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_status", 
                "type" => "text", 
                "label" => 'map::project.label.project_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_status_ar", 
                "type" => "text", 
                "label" => 'map::project.label.project_status_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "percent_completed", 
                "type" => "text", 
                "label" => 'map::project.label.percent_completed', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "completion_date", 
                "type" => "text", 
                "label" => 'map::project.label.completion_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cancellation_date", 
                "type" => "text", 
                "label" => 'map::project.label.cancellation_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_description_ar", 
                "type" => "text", 
                "label" => 'map::project.label.project_description_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_description_en", 
                "type" => "text", 
                "label" => 'map::project.label.project_description_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_id", 
                "type" => "text", 
                "label" => 'map::project.label.property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_id", 
                "type" => "text", 
                "label" => 'map::project.label.area_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_name_ar", 
                "type" => "text", 
                "label" => 'map::project.label.area_name_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_name_en", 
                "type" => "text", 
                "label" => 'map::project.label.area_name_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_project_ar", 
                "type" => "text", 
                "label" => 'map::project.label.master_project_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_project_en", 
                "type" => "text", 
                "label" => 'map::project.label.master_project_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "zoning_authority_id", 
                "type" => "text", 
                "label" => 'map::project.label.zoning_authority_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "zoning_authority_ar", 
                "type" => "text", 
                "label" => 'map::project.label.zoning_authority_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "zoning_authority_en", 
                "type" => "text", 
                "label" => 'map::project.label.zoning_authority_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "no_of_lands", 
                "type" => "text", 
                "label" => 'map::project.label.no_of_lands', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "no_of_buildings", 
                "type" => "text", 
                "label" => 'map::project.label.no_of_buildings', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "no_of_villas", 
                "type" => "text", 
                "label" => 'map::project.label.no_of_villas', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "no_of_units", 
                "type" => "text", 
                "label" => 'map::project.label.no_of_units', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'project_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.project_id',
                "placeholder" => 'map::project.placeholder.project_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_number',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.project_number',
                "placeholder" => 'map::project.placeholder.project_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.project_name',
                "placeholder" => 'map::project.placeholder.project_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.developer_id',
                "placeholder" => 'map::project.placeholder.developer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_number',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.developer_number',
                "placeholder" => 'map::project.placeholder.developer_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.developer_name',
                "placeholder" => 'map::project.placeholder.developer_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_developer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.master_developer_id',
                "placeholder" => 'map::project.placeholder.master_developer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_developer_number',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.master_developer_number',
                "placeholder" => 'map::project.placeholder.master_developer_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_developer_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.master_developer_name',
                "placeholder" => 'map::project.placeholder.master_developer_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_start_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'map::project.label.project_start_date',
                "placeholder" => 'map::project.placeholder.project_start_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_end_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'map::project.label.project_end_date',
                "placeholder" => 'map::project.placeholder.project_end_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.project_type_id',
                "placeholder" => 'map::project.placeholder.project_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.project_type_ar',
                "placeholder" => 'map::project.placeholder.project_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_classification_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.project_classification_id',
                "placeholder" => 'map::project.placeholder.project_classification_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_classification_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.project_classification_ar',
                "placeholder" => 'map::project.placeholder.project_classification_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'escrow_agent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.escrow_agent_id',
                "placeholder" => 'map::project.placeholder.escrow_agent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'escrow_agent_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.escrow_agent_name',
                "placeholder" => 'map::project.placeholder.escrow_agent_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_status',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.project_status',
                "placeholder" => 'map::project.placeholder.project_status',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_status_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.project_status_ar',
                "placeholder" => 'map::project.placeholder.project_status_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'percent_completed',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.percent_completed',
                "placeholder" => 'map::project.placeholder.percent_completed',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'completion_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'map::project.label.completion_date',
                "placeholder" => 'map::project.placeholder.completion_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cancellation_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'map::project.label.cancellation_date',
                "placeholder" => 'map::project.placeholder.cancellation_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_description_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.project_description_ar',
                "placeholder" => 'map::project.placeholder.project_description_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_description_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.project_description_en',
                "placeholder" => 'map::project.placeholder.project_description_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.property_id',
                "placeholder" => 'map::project.placeholder.property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.area_id',
                "placeholder" => 'map::project.placeholder.area_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_name_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.area_name_ar',
                "placeholder" => 'map::project.placeholder.area_name_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_name_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.area_name_en',
                "placeholder" => 'map::project.placeholder.area_name_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_project_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.master_project_ar',
                "placeholder" => 'map::project.placeholder.master_project_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_project_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.master_project_en',
                "placeholder" => 'map::project.placeholder.master_project_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'zoning_authority_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.zoning_authority_id',
                "placeholder" => 'map::project.placeholder.zoning_authority_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'zoning_authority_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.zoning_authority_ar',
                "placeholder" => 'map::project.placeholder.zoning_authority_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'zoning_authority_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::project.label.zoning_authority_en',
                "placeholder" => 'map::project.placeholder.zoning_authority_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'no_of_lands',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.no_of_lands',
                "placeholder" => 'map::project.placeholder.no_of_lands',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'no_of_buildings',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.no_of_buildings',
                "placeholder" => 'map::project.placeholder.no_of_buildings',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'no_of_villas',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.no_of_villas',
                "placeholder" => 'map::project.placeholder.no_of_villas',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'no_of_units',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::project.label.no_of_units',
                "placeholder" => 'map::project.placeholder.no_of_units',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'map/project/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'map/project/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'map/project',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'map/project',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'map/project',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'map/project',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'map::project.label.created_at',
            'name' => 'map::project.label.name',
            'status' => 'map::project.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "map::project.groups.main",
                'group' => "main.main",
                'title' => "map::project.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "map::project.groups.details",
                'group' => "main.details",
                'title' => "map::project.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "map::project.groups.images",
                'group' => "main.images",
                'title' => "map::project.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "map::project.groups.settings",
                'group' => "main.settings",
                'title' => "map::project.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Map',
            'module' => 'Project',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Map\Models\Project::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'map::project.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['map.project.copy', 'map.project.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'map::project.label.count',
                        "placeholder" => 'map::project.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'map::project.label.comment',
                        "placeholder" => 'map::project.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'map::project.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'map::project.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
