<?php


return  
    [
        'model' => [
            'model' => \Bixo\Map\Models\Transaction::class,
            'table' => 'bixo_map_transactions',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['transaction_id',  'procedure_id',  'trans_group_id',  'trans_group_ar',  'trans_group_en',  'procedure_name_ar',  'procedure_name_en',  'instance_date',  'property_type_id',  'property_type_ar',  'property_type_en',  'property_sub_type_id',  'property_sub_type_ar',  'property_sub_type_en',  'property_usage_ar',  'property_usage_en',  'reg_type_id',  'reg_type_ar',  'reg_type_en',  'area_id',  'area_name_ar',  'area_name_en',  'building_name_ar',  'building_name_en',  'project_number',  'project_name_ar',  'project_name_en',  'master_project_en',  'master_project_ar',  'nearest_landmark_ar',  'nearest_landmark_en',  'nearest_metro_ar',  'nearest_metro_en',  'nearest_mall_ar',  'nearest_mall_en',  'rooms_ar',  'rooms_en',  'has_parking',  'procedure_area',  'actual_worth',  'meter_sale_price',  'rent_value',  'meter_rent_price',  'no_of_parties_role_1',  'no_of_parties_role_2',  'no_of_parties_role_3'],
            'translatables' => [],
            'upload_folder' => 'map/transaction',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "transaction_id", 
                "type" => "text", 
                "label" => 'map::transaction.label.transaction_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "procedure_id", 
                "type" => "text", 
                "label" => 'map::transaction.label.procedure_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "trans_group_id", 
                "type" => "text", 
                "label" => 'map::transaction.label.trans_group_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "trans_group_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.trans_group_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "trans_group_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.trans_group_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "procedure_name_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.procedure_name_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "procedure_name_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.procedure_name_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "instance_date", 
                "type" => "text", 
                "label" => 'map::transaction.label.instance_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type_id", 
                "type" => "text", 
                "label" => 'map::transaction.label.property_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.property_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.property_type_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_sub_type_id", 
                "type" => "text", 
                "label" => 'map::transaction.label.property_sub_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_sub_type_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.property_sub_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_sub_type_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.property_sub_type_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_usage_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.property_usage_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_usage_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.property_usage_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "reg_type_id", 
                "type" => "text", 
                "label" => 'map::transaction.label.reg_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "reg_type_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.reg_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "reg_type_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.reg_type_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_id", 
                "type" => "text", 
                "label" => 'map::transaction.label.area_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_name_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.area_name_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_name_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.area_name_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building_name_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.building_name_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building_name_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.building_name_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_number", 
                "type" => "text", 
                "label" => 'map::transaction.label.project_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.project_name_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.project_name_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_project_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.master_project_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_project_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.master_project_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nearest_landmark_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.nearest_landmark_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nearest_landmark_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.nearest_landmark_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nearest_metro_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.nearest_metro_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nearest_metro_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.nearest_metro_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nearest_mall_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.nearest_mall_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nearest_mall_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.nearest_mall_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rooms_ar", 
                "type" => "text", 
                "label" => 'map::transaction.label.rooms_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rooms_en", 
                "type" => "text", 
                "label" => 'map::transaction.label.rooms_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "has_parking", 
                "type" => "text", 
                "label" => 'map::transaction.label.has_parking', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "procedure_area", 
                "type" => "text", 
                "label" => 'map::transaction.label.procedure_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "actual_worth", 
                "type" => "text", 
                "label" => 'map::transaction.label.actual_worth', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "meter_sale_price", 
                "type" => "text", 
                "label" => 'map::transaction.label.meter_sale_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_value", 
                "type" => "text", 
                "label" => 'map::transaction.label.rent_value', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "meter_rent_price", 
                "type" => "text", 
                "label" => 'map::transaction.label.meter_rent_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "no_of_parties_role_1", 
                "type" => "text", 
                "label" => 'map::transaction.label.no_of_parties_role_1', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "no_of_parties_role_2", 
                "type" => "text", 
                "label" => 'map::transaction.label.no_of_parties_role_2', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "no_of_parties_role_3", 
                "type" => "text", 
                "label" => 'map::transaction.label.no_of_parties_role_3', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'transaction_id',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.transaction_id',
                "placeholder" => 'map::transaction.placeholder.transaction_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'procedure_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.procedure_id',
                "placeholder" => 'map::transaction.placeholder.procedure_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'trans_group_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.trans_group_id',
                "placeholder" => 'map::transaction.placeholder.trans_group_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'trans_group_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.trans_group_ar',
                "placeholder" => 'map::transaction.placeholder.trans_group_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'trans_group_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.trans_group_en',
                "placeholder" => 'map::transaction.placeholder.trans_group_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'procedure_name_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.procedure_name_ar',
                "placeholder" => 'map::transaction.placeholder.procedure_name_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'procedure_name_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.procedure_name_en',
                "placeholder" => 'map::transaction.placeholder.procedure_name_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'instance_date',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.instance_date',
                "placeholder" => 'map::transaction.placeholder.instance_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.property_type_id',
                "placeholder" => 'map::transaction.placeholder.property_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.property_type_ar',
                "placeholder" => 'map::transaction.placeholder.property_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.property_type_en',
                "placeholder" => 'map::transaction.placeholder.property_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_sub_type_id',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.property_sub_type_id',
                "placeholder" => 'map::transaction.placeholder.property_sub_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_sub_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.property_sub_type_ar',
                "placeholder" => 'map::transaction.placeholder.property_sub_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_sub_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.property_sub_type_en',
                "placeholder" => 'map::transaction.placeholder.property_sub_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_usage_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.property_usage_ar',
                "placeholder" => 'map::transaction.placeholder.property_usage_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_usage_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.property_usage_en',
                "placeholder" => 'map::transaction.placeholder.property_usage_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'reg_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.reg_type_id',
                "placeholder" => 'map::transaction.placeholder.reg_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'reg_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.reg_type_ar',
                "placeholder" => 'map::transaction.placeholder.reg_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'reg_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.reg_type_en',
                "placeholder" => 'map::transaction.placeholder.reg_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.area_id',
                "placeholder" => 'map::transaction.placeholder.area_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_name_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.area_name_ar',
                "placeholder" => 'map::transaction.placeholder.area_name_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_name_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.area_name_en',
                "placeholder" => 'map::transaction.placeholder.area_name_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building_name_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.building_name_ar',
                "placeholder" => 'map::transaction.placeholder.building_name_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building_name_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.building_name_en',
                "placeholder" => 'map::transaction.placeholder.building_name_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.project_number',
                "placeholder" => 'map::transaction.placeholder.project_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.project_name_ar',
                "placeholder" => 'map::transaction.placeholder.project_name_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.project_name_en',
                "placeholder" => 'map::transaction.placeholder.project_name_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_project_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.master_project_en',
                "placeholder" => 'map::transaction.placeholder.master_project_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_project_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.master_project_ar',
                "placeholder" => 'map::transaction.placeholder.master_project_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nearest_landmark_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.nearest_landmark_ar',
                "placeholder" => 'map::transaction.placeholder.nearest_landmark_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nearest_landmark_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.nearest_landmark_en',
                "placeholder" => 'map::transaction.placeholder.nearest_landmark_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nearest_metro_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.nearest_metro_ar',
                "placeholder" => 'map::transaction.placeholder.nearest_metro_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nearest_metro_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.nearest_metro_en',
                "placeholder" => 'map::transaction.placeholder.nearest_metro_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nearest_mall_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.nearest_mall_ar',
                "placeholder" => 'map::transaction.placeholder.nearest_mall_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nearest_mall_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.nearest_mall_en',
                "placeholder" => 'map::transaction.placeholder.nearest_mall_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rooms_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.rooms_ar',
                "placeholder" => 'map::transaction.placeholder.rooms_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rooms_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.rooms_en',
                "placeholder" => 'map::transaction.placeholder.rooms_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'has_parking',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.has_parking',
                "placeholder" => 'map::transaction.placeholder.has_parking',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'procedure_area',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'map::transaction.label.procedure_area',
                "placeholder" => 'map::transaction.placeholder.procedure_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'actual_worth',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.actual_worth',
                "placeholder" => 'map::transaction.placeholder.actual_worth',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'meter_sale_price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'map::transaction.label.meter_sale_price',
                "placeholder" => 'map::transaction.placeholder.meter_sale_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_value',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.rent_value',
                "placeholder" => 'map::transaction.placeholder.rent_value',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'meter_rent_price',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::transaction.label.meter_rent_price',
                "placeholder" => 'map::transaction.placeholder.meter_rent_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'no_of_parties_role_1',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.no_of_parties_role_1',
                "placeholder" => 'map::transaction.placeholder.no_of_parties_role_1',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'no_of_parties_role_2',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.no_of_parties_role_2',
                "placeholder" => 'map::transaction.placeholder.no_of_parties_role_2',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'no_of_parties_role_3',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::transaction.label.no_of_parties_role_3',
                "placeholder" => 'map::transaction.placeholder.no_of_parties_role_3',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'map/transaction/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'map/transaction/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'map/transaction',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'map/transaction',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'map/transaction',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'map/transaction',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'map::transaction.label.created_at',
            'name' => 'map::transaction.label.name',
            'status' => 'map::transaction.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "map::transaction.groups.main",
                'group' => "main.main",
                'title' => "map::transaction.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "map::transaction.groups.details",
                'group' => "main.details",
                'title' => "map::transaction.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "map::transaction.groups.images",
                'group' => "main.images",
                'title' => "map::transaction.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "map::transaction.groups.settings",
                'group' => "main.settings",
                'title' => "map::transaction.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Map',
            'module' => 'Transaction',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Map\Models\Transaction::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'map::transaction.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['map.transaction.copy', 'map.transaction.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'map::transaction.label.count',
                        "placeholder" => 'map::transaction.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'map::transaction.label.comment',
                        "placeholder" => 'map::transaction.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'map::transaction.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'map::transaction.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
