<?php


return  
    [
        'model' => [
            'model' => \Bixo\Map\Models\Unit::class,
            'table' => 'bixo_map_units',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['unit_number',  'unit_balcony_area',  'unit_parking_number',  'parking_allocation_type',  'parking_allocation_type_ar',  'parking_allocation_type_en',  'common_area',  'actual_common_area',  'floor',  'rooms',  'rooms_ar',  'rooms_en',  'actual_area',  'property_type_id',  'property_type_ar',  'property_type_en',  'property_sub_type_id',  'property_sub_type_ar',  'property_sub_type_en',  'parent_property_id',  'grandparent_property_id',  'creation_date',  'munc_zip_code',  'munc_number',  'parcel_id',  'is_free_hold',  'is_lease_hold',  'is_registered',  'pre_registration_number',  'master_project_id',  'master_project_en',  'master_project_ar',  'project_id',  'project_name_ar',  'project_name_en',  'land_type_id',  'land_type_ar',  'land_type_en',  'property_id',  'area_id',  'zone_id',  'area_name_ar',  'area_name_en',  'land_number',  'land_sub_number',  'building_number'],
            'translatables' => [],
            'upload_folder' => 'map/unit',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "unit_number", 
                "type" => "text", 
                "label" => 'map::unit.label.unit_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit_balcony_area", 
                "type" => "text", 
                "label" => 'map::unit.label.unit_balcony_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit_parking_number", 
                "type" => "text", 
                "label" => 'map::unit.label.unit_parking_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parking_allocation_type", 
                "type" => "text", 
                "label" => 'map::unit.label.parking_allocation_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parking_allocation_type_ar", 
                "type" => "text", 
                "label" => 'map::unit.label.parking_allocation_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parking_allocation_type_en", 
                "type" => "text", 
                "label" => 'map::unit.label.parking_allocation_type_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "common_area", 
                "type" => "text", 
                "label" => 'map::unit.label.common_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "actual_common_area", 
                "type" => "text", 
                "label" => 'map::unit.label.actual_common_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "floor", 
                "type" => "text", 
                "label" => 'map::unit.label.floor', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rooms", 
                "type" => "text", 
                "label" => 'map::unit.label.rooms', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rooms_ar", 
                "type" => "text", 
                "label" => 'map::unit.label.rooms_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rooms_en", 
                "type" => "text", 
                "label" => 'map::unit.label.rooms_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "actual_area", 
                "type" => "text", 
                "label" => 'map::unit.label.actual_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type_id", 
                "type" => "text", 
                "label" => 'map::unit.label.property_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type_ar", 
                "type" => "text", 
                "label" => 'map::unit.label.property_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type_en", 
                "type" => "text", 
                "label" => 'map::unit.label.property_type_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_sub_type_id", 
                "type" => "text", 
                "label" => 'map::unit.label.property_sub_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_sub_type_ar", 
                "type" => "text", 
                "label" => 'map::unit.label.property_sub_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_sub_type_en", 
                "type" => "text", 
                "label" => 'map::unit.label.property_sub_type_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parent_property_id", 
                "type" => "text", 
                "label" => 'map::unit.label.parent_property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "grandparent_property_id", 
                "type" => "text", 
                "label" => 'map::unit.label.grandparent_property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "creation_date", 
                "type" => "text", 
                "label" => 'map::unit.label.creation_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "munc_zip_code", 
                "type" => "text", 
                "label" => 'map::unit.label.munc_zip_code', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "munc_number", 
                "type" => "text", 
                "label" => 'map::unit.label.munc_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parcel_id", 
                "type" => "text", 
                "label" => 'map::unit.label.parcel_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "is_free_hold", 
                "type" => "text", 
                "label" => 'map::unit.label.is_free_hold', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "is_lease_hold", 
                "type" => "text", 
                "label" => 'map::unit.label.is_lease_hold', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "is_registered", 
                "type" => "text", 
                "label" => 'map::unit.label.is_registered', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "pre_registration_number", 
                "type" => "text", 
                "label" => 'map::unit.label.pre_registration_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_project_id", 
                "type" => "text", 
                "label" => 'map::unit.label.master_project_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_project_en", 
                "type" => "text", 
                "label" => 'map::unit.label.master_project_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "master_project_ar", 
                "type" => "text", 
                "label" => 'map::unit.label.master_project_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_id", 
                "type" => "text", 
                "label" => 'map::unit.label.project_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name_ar", 
                "type" => "text", 
                "label" => 'map::unit.label.project_name_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name_en", 
                "type" => "text", 
                "label" => 'map::unit.label.project_name_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "land_type_id", 
                "type" => "text", 
                "label" => 'map::unit.label.land_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "land_type_ar", 
                "type" => "text", 
                "label" => 'map::unit.label.land_type_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "land_type_en", 
                "type" => "text", 
                "label" => 'map::unit.label.land_type_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_id", 
                "type" => "text", 
                "label" => 'map::unit.label.property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_id", 
                "type" => "text", 
                "label" => 'map::unit.label.area_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "zone_id", 
                "type" => "text", 
                "label" => 'map::unit.label.zone_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_name_ar", 
                "type" => "text", 
                "label" => 'map::unit.label.area_name_ar', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area_name_en", 
                "type" => "text", 
                "label" => 'map::unit.label.area_name_en', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "land_number", 
                "type" => "text", 
                "label" => 'map::unit.label.land_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "land_sub_number", 
                "type" => "text", 
                "label" => 'map::unit.label.land_sub_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building_number", 
                "type" => "text", 
                "label" => 'map::unit.label.building_number', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'unit_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.unit_number',
                "placeholder" => 'map::unit.placeholder.unit_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit_balcony_area',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'map::unit.label.unit_balcony_area',
                "placeholder" => 'map::unit.placeholder.unit_balcony_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit_parking_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.unit_parking_number',
                "placeholder" => 'map::unit.placeholder.unit_parking_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parking_allocation_type',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.parking_allocation_type',
                "placeholder" => 'map::unit.placeholder.parking_allocation_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parking_allocation_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.parking_allocation_type_ar',
                "placeholder" => 'map::unit.placeholder.parking_allocation_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parking_allocation_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.parking_allocation_type_en',
                "placeholder" => 'map::unit.placeholder.parking_allocation_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'common_area',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'map::unit.label.common_area',
                "placeholder" => 'map::unit.placeholder.common_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'actual_common_area',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.actual_common_area',
                "placeholder" => 'map::unit.placeholder.actual_common_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'floor',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.floor',
                "placeholder" => 'map::unit.placeholder.floor',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rooms',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.rooms',
                "placeholder" => 'map::unit.placeholder.rooms',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rooms_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.rooms_ar',
                "placeholder" => 'map::unit.placeholder.rooms_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rooms_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.rooms_en',
                "placeholder" => 'map::unit.placeholder.rooms_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'actual_area',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'map::unit.label.actual_area',
                "placeholder" => 'map::unit.placeholder.actual_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.property_type_id',
                "placeholder" => 'map::unit.placeholder.property_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.property_type_ar',
                "placeholder" => 'map::unit.placeholder.property_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.property_type_en',
                "placeholder" => 'map::unit.placeholder.property_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_sub_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.property_sub_type_id',
                "placeholder" => 'map::unit.placeholder.property_sub_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_sub_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.property_sub_type_ar',
                "placeholder" => 'map::unit.placeholder.property_sub_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_sub_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.property_sub_type_en',
                "placeholder" => 'map::unit.placeholder.property_sub_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parent_property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.parent_property_id',
                "placeholder" => 'map::unit.placeholder.parent_property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'grandparent_property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.grandparent_property_id',
                "placeholder" => 'map::unit.placeholder.grandparent_property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'creation_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'map::unit.label.creation_date',
                "placeholder" => 'map::unit.placeholder.creation_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'munc_zip_code',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.munc_zip_code',
                "placeholder" => 'map::unit.placeholder.munc_zip_code',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'munc_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.munc_number',
                "placeholder" => 'map::unit.placeholder.munc_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parcel_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.parcel_id',
                "placeholder" => 'map::unit.placeholder.parcel_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'is_free_hold',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.is_free_hold',
                "placeholder" => 'map::unit.placeholder.is_free_hold',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'is_lease_hold',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.is_lease_hold',
                "placeholder" => 'map::unit.placeholder.is_lease_hold',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'is_registered',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.is_registered',
                "placeholder" => 'map::unit.placeholder.is_registered',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'pre_registration_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.pre_registration_number',
                "placeholder" => 'map::unit.placeholder.pre_registration_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_project_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.master_project_id',
                "placeholder" => 'map::unit.placeholder.master_project_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_project_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.master_project_en',
                "placeholder" => 'map::unit.placeholder.master_project_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'master_project_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.master_project_ar',
                "placeholder" => 'map::unit.placeholder.master_project_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.project_id',
                "placeholder" => 'map::unit.placeholder.project_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.project_name_ar',
                "placeholder" => 'map::unit.placeholder.project_name_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.project_name_en',
                "placeholder" => 'map::unit.placeholder.project_name_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'land_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.land_type_id',
                "placeholder" => 'map::unit.placeholder.land_type_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'land_type_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.land_type_ar',
                "placeholder" => 'map::unit.placeholder.land_type_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'land_type_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.land_type_en',
                "placeholder" => 'map::unit.placeholder.land_type_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.property_id',
                "placeholder" => 'map::unit.placeholder.property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.area_id',
                "placeholder" => 'map::unit.placeholder.area_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'zone_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.zone_id',
                "placeholder" => 'map::unit.placeholder.zone_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_name_ar',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.area_name_ar',
                "placeholder" => 'map::unit.placeholder.area_name_ar',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area_name_en',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.area_name_en',
                "placeholder" => 'map::unit.placeholder.area_name_en',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'land_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.land_number',
                "placeholder" => 'map::unit.placeholder.land_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'land_sub_number',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'map::unit.label.land_sub_number',
                "placeholder" => 'map::unit.placeholder.land_sub_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'map::unit.label.building_number',
                "placeholder" => 'map::unit.placeholder.building_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'map/unit/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'map/unit/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'map/unit',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'map/unit',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'map/unit',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'map/unit',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'map::unit.label.created_at',
            'name' => 'map::unit.label.name',
            'status' => 'map::unit.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "map::unit.groups.main",
                'group' => "main.main",
                'title' => "map::unit.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "map::unit.groups.details",
                'group' => "main.details",
                'title' => "map::unit.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "map::unit.groups.images",
                'group' => "main.images",
                'title' => "map::unit.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "map::unit.groups.settings",
                'group' => "main.settings",
                'title' => "map::unit.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Map',
            'module' => 'Unit',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Map\Models\Unit::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'map::unit.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['map.unit.copy', 'map.unit.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'map::unit.label.count',
                        "placeholder" => 'map::unit.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'map::unit.label.comment',
                        "placeholder" => 'map::unit.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'map::unit.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'map::unit.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
