<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoMapDevelopersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_map_developers
         */
        Schema::create('bixo_map_developers', function ($table) {
            $table->increments('id');
            $table->integer('participant_id')->nullable();
            $table->integer('developer_id')->nullable();
            $table->integer('developer_number')->nullable();
            $table->string('developer_name_ar', 200)->nullable();
            $table->string('developer_name_en', 200)->nullable();
            $table->date('registration_date')->nullable();
            $table->string('license_source_id', 10)->nullable();
            $table->string('license_source_ar', 200)->nullable();
            $table->string('license_source_en', 200)->nullable();
            $table->string('license_type_id', 10)->nullable();
            $table->string('license_type_ar', 200)->nullable();
            $table->string('license_type_en', 200)->nullable();
            $table->integer('legal_status')->nullable();
            $table->string('legal_status_ar', 100)->nullable();
            $table->string('legal_status_en', 100)->nullable();
            $table->string('webpage', 100)->nullable();
            $table->string('phone', 50)->nullable();
            $table->string('fax', 50)->nullable();
            $table->string('license_number', 50)->nullable();
            $table->date('license_issue_date')->nullable();
            $table->date('license_expiry_date')->nullable();
            $table->string('chamber_of_commerce_no', 20)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_map_developers');
    }
}
