<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoMapUnitsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_map_units
         */
        Schema::create('bixo_map_units', function ($table) {
            $table->increments('id');
            $table->string('unit_number', 100)->nullable();
            $table->decimal('unit_balcony_area', 10,2)->nullable();
            $table->text('unit_parking_number')->nullable();
            $table->integer('parking_allocation_type')->nullable();
            $table->string('parking_allocation_type_ar', 100)->nullable();
            $table->string('parking_allocation_type_en', 100)->nullable();
            $table->decimal('common_area', 20,4)->nullable();
            $table->integer('actual_common_area')->nullable();
            $table->string('floor', 20)->nullable();
            $table->integer('rooms')->nullable();
            $table->string('rooms_ar', 60)->nullable();
            $table->string('rooms_en', 60)->nullable();
            $table->decimal('actual_area', 18,2)->nullable();
            $table->integer('property_type_id')->nullable();
            $table->string('property_type_ar', 50)->nullable();
            $table->string('property_type_en', 50)->nullable();
            $table->integer('property_sub_type_id')->nullable();
            $table->string('property_sub_type_ar', 50)->nullable();
            $table->string('property_sub_type_en', 50)->nullable();
            $table->integer('parent_property_id')->nullable();
            $table->integer('grandparent_property_id')->nullable();
            $table->timestamp('creation_date')->nullable();
            $table->string('munc_zip_code', 10)->nullable();
            $table->string('munc_number', 10)->nullable();
            $table->integer('parcel_id')->nullable();
            $table->integer('is_free_hold')->nullable();
            $table->integer('is_lease_hold')->nullable();
            $table->integer('is_registered')->nullable();
            $table->string('pre_registration_number', 100)->nullable();
            $table->integer('master_project_id')->nullable();
            $table->string('master_project_en', 255)->nullable();
            $table->string('master_project_ar', 255)->nullable();
            $table->integer('project_id')->nullable();
            $table->string('project_name_ar', 255)->nullable();
            $table->string('project_name_en', 255)->nullable();
            $table->integer('land_type_id')->nullable();
            $table->string('land_type_ar', 50)->nullable();
            $table->string('land_type_en', 50)->nullable();
            $table->integer('property_id')->nullable();
            $table->integer('area_id')->nullable();
            $table->integer('zone_id')->nullable();
            $table->string('area_name_ar', 200)->nullable();
            $table->string('area_name_en', 200)->nullable();
            $table->string('land_number', 100)->nullable();
            $table->integer('land_sub_number')->nullable();
            $table->string('building_number', 100)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_map_units');
    }
}
