<?php

namespace Bixo\Map\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class UnitTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_map_units')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.map.unit.view',
                'name'      => 'View Unit',
            ],
            [
                'slug'      => 'bixo.map.unit.create',
                'name'      => 'Create Unit',
            ],
            [
                'slug'      => 'bixo.map.unit.edit',
                'name'      => 'Update Unit',
            ],
            [
                'slug'      => 'bixo.map.unit.delete',
                'name'      => 'Delete Unit',
            ],
            
                        [
                'slug'      => 'bixo.map.unit.verify',
                'name'      => 'Verify Unit',
            ],
            [
                'slug'      => 'bixo.map.unit.approve',
                'name'      => 'Approve Unit',
            ],
            [
                'slug'      => 'bixo.map.unit.publish',
                'name'      => 'Publish Unit',
            ],
            [
                'slug'      => 'bixo.map.unit.unpublish',
                'name'      => 'Unpublish Unit',
            ],
            [
                'slug'      => 'bixo.map.unit.cancel',
                'name'      => 'Cancel Unit',
            ],
            [
                'slug'      => 'bixo.map.unit.archive',
                'name'      => 'Archive Unit',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/map/unit',
                'name'        => 'Unit',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/map/unit',
                'name'        => 'Unit',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'unit',
                'name'        => 'Unit',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Map',
                'module'    => 'Unit',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.map.unit.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
