<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for building in map package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  building module in map package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Building',
    'names' => 'Buildings',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Buildings',
        'sub' => 'Buildings'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'property_id'                => 'Please enter property id',
        'area_id'                    => 'Please enter area id',
        'zone_id'                    => 'Please enter zone id',
        'area_name_ar'               => 'Please enter area name ar',
        'area_name_en'               => 'Please enter area name en',
        'land_number'                => 'Please enter land number',
        'land_sub_number'            => 'Please enter land sub number',
        'building_number'            => 'Please enter building number',
        'common_area'                => 'Please enter common area',
        'actual_common_area'         => 'Please enter actual common area',
        'floors'                     => 'Please enter floors',
        'rooms'                      => 'Please enter rooms',
        'rooms_ar'                   => 'Please enter rooms ar',
        'rooms_en'                   => 'Please enter rooms en',
        'car_parks'                  => 'Please enter car parks',
        'built_up_area'              => 'Please enter built up area',
        'bld_levels'                 => 'Please enter bld levels',
        'shops'                      => 'Please enter shops',
        'flats'                      => 'Please enter flats',
        'offices'                    => 'Please enter offices',
        'swimming'                   => 'Please enter swimming',
        'elevators'                  => 'Please enter elevators',
        'actual_area'                => 'Please enter actual area',
        'property_type_id'           => 'Please enter property type id',
        'property_type_ar'           => 'Please enter property type ar',
        'property_type_en'           => 'Please enter property type en',
        'property_sub_type_id'        => 'Please enter property sub type id',
        'property_sub_type_ar'        => 'Please enter property sub type ar',
        'property_sub_type_en'        => 'Please enter property sub type en',
        'parent_property_id'         => 'Please enter parent property id',
        'creation_date'              => 'Please select creation date',
        'parcel_id'                  => 'Please enter parcel id',
        'is_free_hold'               => 'Please enter is free hold',
        'is_lease_hold'              => 'Please enter is lease hold',
        'is_registered'              => 'Please enter is registered',
        'pre_registration_number'        => 'Please enter pre registration number',
        'master_project_id'          => 'Please enter master project id',
        'master_project_en'          => 'Please enter master project en',
        'master_project_ar'          => 'Please enter master project ar',
        'project_id'                 => 'Please enter project id',
        'project_name_ar'            => 'Please enter project name ar',
        'project_name_en'            => 'Please enter project name en',
        'land_type_id'               => 'Please enter land type id',
        'land_type_ar'               => 'Please enter land type ar',
        'land_type_en'               => 'Please enter land type en',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'property_id'                => 'Property id',
        'area_id'                    => 'Area id',
        'zone_id'                    => 'Zone id',
        'area_name_ar'               => 'Area name ar',
        'area_name_en'               => 'Area name en',
        'land_number'                => 'Land number',
        'land_sub_number'            => 'Land sub number',
        'building_number'            => 'Building number',
        'common_area'                => 'Common area',
        'actual_common_area'         => 'Actual common area',
        'floors'                     => 'Floors',
        'rooms'                      => 'Rooms',
        'rooms_ar'                   => 'Rooms ar',
        'rooms_en'                   => 'Rooms en',
        'car_parks'                  => 'Car parks',
        'built_up_area'              => 'Built up area',
        'bld_levels'                 => 'Bld levels',
        'shops'                      => 'Shops',
        'flats'                      => 'Flats',
        'offices'                    => 'Offices',
        'swimming'                   => 'Swimming',
        'elevators'                  => 'Elevators',
        'actual_area'                => 'Actual area',
        'property_type_id'           => 'Property type id',
        'property_type_ar'           => 'Property type ar',
        'property_type_en'           => 'Property type en',
        'property_sub_type_id'        => 'Property sub type id',
        'property_sub_type_ar'        => 'Property sub type ar',
        'property_sub_type_en'        => 'Property sub type en',
        'parent_property_id'         => 'Parent property id',
        'creation_date'              => 'Creation date',
        'parcel_id'                  => 'Parcel id',
        'is_free_hold'               => 'Is free hold',
        'is_lease_hold'              => 'Is lease hold',
        'is_registered'              => 'Is registered',
        'pre_registration_number'        => 'Pre registration number',
        'master_project_id'          => 'Master project id',
        'master_project_en'          => 'Master project en',
        'master_project_ar'          => 'Master project ar',
        'project_id'                 => 'Project id',
        'project_name_ar'            => 'Project name ar',
        'project_name_en'            => 'Project name en',
        'land_type_id'               => 'Land type id',
        'land_type_ar'               => 'Land type ar',
        'land_type_en'               => 'Land type en',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    
    ];
