<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for project in map package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  project module in map package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Project',
    'names' => 'Projects',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Projects',
        'sub' => 'Projects'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'project_id'                 => 'Please enter project id',
        'project_number'             => 'Please enter project number',
        'project_name'               => 'Please enter project name',
        'developer_id'               => 'Please enter developer id',
        'developer_number'           => 'Please enter developer number',
        'developer_name'             => 'Please enter developer name',
        'master_developer_id'        => 'Please enter master developer id',
        'master_developer_number'        => 'Please enter master developer number',
        'master_developer_name'        => 'Please enter master developer name',
        'project_start_date'         => 'Please select project start date',
        'project_end_date'           => 'Please select project end date',
        'project_type_id'            => 'Please enter project type id',
        'project_type_ar'            => 'Please enter project type ar',
        'project_classification_id'        => 'Please enter project classification id',
        'project_classification_ar'        => 'Please enter project classification ar',
        'escrow_agent_id'            => 'Please enter escrow agent id',
        'escrow_agent_name'          => 'Please enter escrow agent name',
        'project_status'             => 'Please enter project status',
        'project_status_ar'          => 'Please enter project status ar',
        'percent_completed'          => 'Please enter percent completed',
        'completion_date'            => 'Please select completion date',
        'cancellation_date'          => 'Please select cancellation date',
        'project_description_ar'        => 'Please enter project description ar',
        'project_description_en'        => 'Please enter project description en',
        'property_id'                => 'Please enter property id',
        'area_id'                    => 'Please enter area id',
        'area_name_ar'               => 'Please enter area name ar',
        'area_name_en'               => 'Please enter area name en',
        'master_project_ar'          => 'Please enter master project ar',
        'master_project_en'          => 'Please enter master project en',
        'zoning_authority_id'        => 'Please enter zoning authority id',
        'zoning_authority_ar'        => 'Please enter zoning authority ar',
        'zoning_authority_en'        => 'Please enter zoning authority en',
        'no_of_lands'                => 'Please enter no of lands',
        'no_of_buildings'            => 'Please enter no of buildings',
        'no_of_villas'               => 'Please enter no of villas',
        'no_of_units'                => 'Please enter no of units',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'project_id'                 => 'Project id',
        'project_number'             => 'Project number',
        'project_name'               => 'Project name',
        'developer_id'               => 'Developer id',
        'developer_number'           => 'Developer number',
        'developer_name'             => 'Developer name',
        'master_developer_id'        => 'Master developer id',
        'master_developer_number'        => 'Master developer number',
        'master_developer_name'        => 'Master developer name',
        'project_start_date'         => 'Project start date',
        'project_end_date'           => 'Project end date',
        'project_type_id'            => 'Project type id',
        'project_type_ar'            => 'Project type ar',
        'project_classification_id'        => 'Project classification id',
        'project_classification_ar'        => 'Project classification ar',
        'escrow_agent_id'            => 'Escrow agent id',
        'escrow_agent_name'          => 'Escrow agent name',
        'project_status'             => 'Project status',
        'project_status_ar'          => 'Project status ar',
        'percent_completed'          => 'Percent completed',
        'completion_date'            => 'Completion date',
        'cancellation_date'          => 'Cancellation date',
        'project_description_ar'        => 'Project description ar',
        'project_description_en'        => 'Project description en',
        'property_id'                => 'Property id',
        'area_id'                    => 'Area id',
        'area_name_ar'               => 'Area name ar',
        'area_name_en'               => 'Area name en',
        'master_project_ar'          => 'Master project ar',
        'master_project_en'          => 'Master project en',
        'zoning_authority_id'        => 'Zoning authority id',
        'zoning_authority_ar'        => 'Zoning authority ar',
        'zoning_authority_en'        => 'Zoning authority en',
        'no_of_lands'                => 'No of lands',
        'no_of_buildings'            => 'No of buildings',
        'no_of_villas'               => 'No of villas',
        'no_of_units'                => 'No of units',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
