<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for transaction in map package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  transaction module in map package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Transaction',
    'names' => 'Transactions',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Transactions',
        'sub' => 'Transactions'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'transaction_id'             => 'Please enter transaction id',
        'procedure_id'               => 'Please enter procedure id',
        'trans_group_id'             => 'Please enter trans group id',
        'trans_group_ar'             => 'Please enter trans group ar',
        'trans_group_en'             => 'Please enter trans group en',
        'procedure_name_ar'          => 'Please enter procedure name ar',
        'procedure_name_en'          => 'Please enter procedure name en',
        'instance_date'              => 'Please enter instance date',
        'property_type_id'           => 'Please enter property type id',
        'property_type_ar'           => 'Please enter property type ar',
        'property_type_en'           => 'Please enter property type en',
        'property_sub_type_id'        => 'Please enter property sub type id',
        'property_sub_type_ar'        => 'Please enter property sub type ar',
        'property_sub_type_en'        => 'Please enter property sub type en',
        'property_usage_ar'          => 'Please enter property usage ar',
        'property_usage_en'          => 'Please enter property usage en',
        'reg_type_id'                => 'Please enter reg type id',
        'reg_type_ar'                => 'Please enter reg type ar',
        'reg_type_en'                => 'Please enter reg type en',
        'area_id'                    => 'Please enter area id',
        'area_name_ar'               => 'Please enter area name ar',
        'area_name_en'               => 'Please enter area name en',
        'building_name_ar'           => 'Please enter building name ar',
        'building_name_en'           => 'Please enter building name en',
        'project_number'             => 'Please enter project number',
        'project_name_ar'            => 'Please enter project name ar',
        'project_name_en'            => 'Please enter project name en',
        'master_project_en'          => 'Please enter master project en',
        'master_project_ar'          => 'Please enter master project ar',
        'nearest_landmark_ar'        => 'Please enter nearest landmark ar',
        'nearest_landmark_en'        => 'Please enter nearest landmark en',
        'nearest_metro_ar'           => 'Please enter nearest metro ar',
        'nearest_metro_en'           => 'Please enter nearest metro en',
        'nearest_mall_ar'            => 'Please enter nearest mall ar',
        'nearest_mall_en'            => 'Please enter nearest mall en',
        'rooms_ar'                   => 'Please enter rooms ar',
        'rooms_en'                   => 'Please enter rooms en',
        'has_parking'                => 'Please enter has parking',
        'procedure_area'             => 'Please enter procedure area',
        'actual_worth'               => 'Please enter actual worth',
        'meter_sale_price'           => 'Please enter meter sale price',
        'rent_value'                 => 'Please enter rent value',
        'meter_rent_price'           => 'Please enter meter rent price',
        'no_of_parties_role_1'        => 'Please enter no of parties role 1',
        'no_of_parties_role_2'        => 'Please enter no of parties role 2',
        'no_of_parties_role_3'        => 'Please enter no of parties role 3',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'transaction_id'             => 'Transaction id',
        'procedure_id'               => 'Procedure id',
        'trans_group_id'             => 'Trans group id',
        'trans_group_ar'             => 'Trans group ar',
        'trans_group_en'             => 'Trans group en',
        'procedure_name_ar'          => 'Procedure name ar',
        'procedure_name_en'          => 'Procedure name en',
        'instance_date'              => 'Instance date',
        'property_type_id'           => 'Property type id',
        'property_type_ar'           => 'Property type ar',
        'property_type_en'           => 'Property type en',
        'property_sub_type_id'        => 'Property sub type id',
        'property_sub_type_ar'        => 'Property sub type ar',
        'property_sub_type_en'        => 'Property sub type en',
        'property_usage_ar'          => 'Property usage ar',
        'property_usage_en'          => 'Property usage en',
        'reg_type_id'                => 'Reg type id',
        'reg_type_ar'                => 'Reg type ar',
        'reg_type_en'                => 'Reg type en',
        'area_id'                    => 'Area id',
        'area_name_ar'               => 'Area name ar',
        'area_name_en'               => 'Area name en',
        'building_name_ar'           => 'Building name ar',
        'building_name_en'           => 'Building name en',
        'project_number'             => 'Project number',
        'project_name_ar'            => 'Project name ar',
        'project_name_en'            => 'Project name en',
        'master_project_en'          => 'Master project en',
        'master_project_ar'          => 'Master project ar',
        'nearest_landmark_ar'        => 'Nearest landmark ar',
        'nearest_landmark_en'        => 'Nearest landmark en',
        'nearest_metro_ar'           => 'Nearest metro ar',
        'nearest_metro_en'           => 'Nearest metro en',
        'nearest_mall_ar'            => 'Nearest mall ar',
        'nearest_mall_en'            => 'Nearest mall en',
        'rooms_ar'                   => 'Rooms ar',
        'rooms_en'                   => 'Rooms en',
        'has_parking'                => 'Has parking',
        'procedure_area'             => 'Procedure area',
        'actual_worth'               => 'Actual worth',
        'meter_sale_price'           => 'Meter sale price',
        'rent_value'                 => 'Rent value',
        'meter_rent_price'           => 'Meter rent price',
        'no_of_parties_role_1'        => 'No of parties role 1',
        'no_of_parties_role_2'        => 'No of parties role 2',
        'no_of_parties_role_3'        => 'No of parties role 3',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
