<?php

// Web routes  for map.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for transaction

Route::prefix('{guard}/transaction')->group(function () {

    Route::get('/workflow/{transaction}/{user}', 'TransactionWorkflowController@get')
        ->name('bixo.map.workflow');
    Route::post('/workflow/{transaction}/{user}', 'TransactionWorkflowController@post');

    Route::get('/action/{transaction}/{user}', 'TransactionActionController@get')
        ->name('bixo.map.action');
    Route::post('/action/{transaction}/{user}', 'TransactionActionController@post');

});


// Workflow routes for project

Route::prefix('{guard}/project')->group(function () {

    Route::get('/workflow/{project}/{user}', 'ProjectWorkflowController@get')
        ->name('bixo.map.workflow');
    Route::post('/workflow/{project}/{user}', 'ProjectWorkflowController@post');

    Route::get('/action/{project}/{user}', 'ProjectActionController@get')
        ->name('bixo.map.action');
    Route::post('/action/{project}/{user}', 'ProjectActionController@post');

});
// Workflow routes for unit

Route::prefix('{guard}/unit')->group(function () {

    Route::get('/workflow/{unit}/{user}', 'UnitWorkflowController@get')
        ->name('bixo.map.workflow');
    Route::post('/workflow/{unit}/{user}', 'UnitWorkflowController@post');

    Route::get('/action/{unit}/{user}', 'UnitActionController@get')
        ->name('bixo.map.action');
    Route::post('/action/{unit}/{user}', 'UnitActionController@post');

});

