<?php

namespace Bixo\Map\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Map\Models\Project;


class ProjectAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.map.project';
    protected $eventClass = \Bixo\Map\Events\ProjectAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Project $project, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $project;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Project $project, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $project = $project->create($attributes);
        return $project;
    }

    public function update(Project $project, array $request)
    {
        $attributes = $request;
        $project->update($attributes);
        return $project;
    }

    public function destroy(Project $project, array $request)
    {
        $project->delete();
        return $project;
    }

    public function copy(Project $project, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $project = $project->replicate();
            $project->created_at = Carbon::now();
            $project->save();
            return $project;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $project->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $project;
    }


}
