<?php

namespace Bixo\Map\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Map\Models\Transaction;


class TransactionAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.map.transaction';
    protected $eventClass = \Bixo\Map\Events\TransactionAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Transaction $transaction, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $transaction;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Transaction $transaction, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $transaction = $transaction->create($attributes);
        return $transaction;
    }

    public function update(Transaction $transaction, array $request)
    {
        $attributes = $request;
        $transaction->update($attributes);
        return $transaction;
    }

    public function destroy(Transaction $transaction, array $request)
    {
        $transaction->delete();
        return $transaction;
    }

    public function copy(Transaction $transaction, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $transaction = $transaction->replicate();
            $transaction->created_at = Carbon::now();
            $transaction->save();
            return $transaction;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $transaction->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $transaction;
    }


}
