<?php

namespace Bixo\Map\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Map\Models\Unit;


class UnitAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.map.unit';
    protected $eventClass = \Bixo\Map\Events\UnitAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Unit $unit, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $unit;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Unit $unit, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $unit = $unit->create($attributes);
        return $unit;
    }

    public function update(Unit $unit, array $request)
    {
        $attributes = $request;
        $unit->update($attributes);
        return $unit;
    }

    public function destroy(Unit $unit, array $request)
    {
        $unit->delete();
        return $unit;
    }

    public function copy(Unit $unit, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $unit = $unit->replicate();
            $unit->created_at = Carbon::now();
            $unit->save();
            return $unit;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $unit->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $unit;
    }


}
