<?php

namespace Bixo\Map\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Illuminate\Support\Str;
use Bixo\Map\Actions\UnitExim;
use Bixo\Map\Http\Requests\UnitEximRequest;

/**
 * Admin web controller class.
 */
class UnitEximController extends BaseController
{
    /**
     * Action controller function for unit.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(UnitEximRequest $request, $exim)
    {
        try {
            $function = Str::camel($exim);
            $data = UnitExim::$function($request);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('map:unit.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('map/unit/' . $exim))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('map/unit/' . $exim))
                ->redirect();
        }
    }
}
