<?php

namespace Bixo\Map\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait BuildingExim
{

    /**
     * Determine if the given user can approve the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('map.building.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given building.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('map.building.export')) {
            return true;
        }

        return false;
    }
}
