<?php

namespace Bixo\Map\Policies;

use Bixo\Map\Models\Project;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ProjectAction
{

    /**
     * Determine if the given user can copy the given project.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Project $project)
    {

        if ($authUser->canDo('map.project.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given project.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Project $project) {

        if ($authUser->canDo('map.project.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given project.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Project $project)
    {

        if ($authUser->canDo('map.project.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
