<?php

namespace Bixo\Map\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait ProjectExim
{

    /**
     * Determine if the given user can approve the given project.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('map.project.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given project.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('map.project.export')) {
            return true;
        }

        return false;
    }
}
