<?php

namespace Bixo\Map\Policies;

use Bixo\Map\Models\Transaction;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait TransactionAction
{

    /**
     * Determine if the given user can copy the given transaction.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Transaction $transaction)
    {

        if ($authUser->canDo('map.transaction.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given transaction.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Transaction $transaction) {

        if ($authUser->canDo('map.transaction.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given transaction.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Transaction $transaction)
    {

        if ($authUser->canDo('map.transaction.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
