<?php

namespace Bixo\Map\Policies;

use Bixo\Map\Models\Unit;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait UnitAction
{

    /**
     * Determine if the given user can copy the given unit.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Unit $unit)
    {

        if ($authUser->canDo('map.unit.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given unit.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Unit $unit) {

        if ($authUser->canDo('map.unit.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given unit.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Unit $unit)
    {

        if ($authUser->canDo('map.unit.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
