<?php

namespace Bixo\Map\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Transaction policy
        \Bixo\Map\Models\Transaction::class 
        => \Bixo\Map\Policies\TransactionPolicy::class,// Bind Project policy
        \Bixo\Map\Models\Project::class 
        => \Bixo\Map\Policies\ProjectPolicy::class,// Bind Building policy
        \Bixo\Map\Models\Building::class 
        => \Bixo\Map\Policies\BuildingPolicy::class,// Bind Developer policy
        \Bixo\Map\Models\Developer::class 
        => \Bixo\Map\Policies\DeveloperPolicy::class,// Bind Unit policy
        \Bixo\Map\Models\Unit::class 
        => \Bixo\Map\Policies\UnitPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
