<?php

namespace Bixo\Map\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Map\Events\MapAction;
use Bixo\Map\Events\MapWorkflow;
use Bixo\Map\Listeners\MapAction as MapActionListener;
use Bixo\Map\Listeners\MapWorkflow as MapWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        MapAction::class => [
            MapActionListener::class,
        ],
        MapWorkflow::class => [
            MapWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
